MV(1L)

NAME
mv - rename files

SYNOPSIS
mv [options] source dest
mv [options] source... directory
Options:
[-bfiuv] [-S backup-suffix] [-V {numbered,existing,simple}] [--backup] [--force] [--interactive] [--update] [--verbose] [--suffix=backup-suffix] [--version-control={numbered,existing,simple}] [--help] [--version]

DESCRIPTION
This manual page documents the GNU version of mv. If the last argument names an existing directory, mv moves each other given file into a file with the same name in that directory. Otherwise, if only two files are given, it moves the first onto the second. It is an error if the last argument is not a directory and more than two files are given. It can move only regular files across filesystems.

If a destination file is unwritable, the standard input is a tty, and the -f or --force option is not given, mv prompts the user for whether to overwrite the file. If the response does not begin with `y' or `Y', the file is skipped.

  OPTIONS

-b, --backup
    Make backups of files that are about to be removed.

-f, --force
    Remove existing destination files and never prompt the user.

-i, --interactive
    Prompt whether to overwrite each destination file that already exists. If the response does not begin with `y' or `Y', the file is skipped.

-u, --update
    Do not move a nondirectory that has an existing destination with the same or newer modification time.

-v, --verbose
    Print the name of each file before moving it.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.

-S, --suffix backup-suffix
    The suffix used for making simple backup files can be set with the SIMPLE_BACKUP_SUFFIX environment variable, which can be overridden by this option. If neither of those is given, the default is `~', as it is in Emacs.

-V, --version-control {numbered,existing,simple}
    The type of backups made can be set with the VERSION_CONTROL environment variable, which can be overridden by this option. If VERSION_CONTROL is not set and this option is not given, the default backup type is `existing'. The value of the VERSION_CONTROL environment variable and the argument to this option are like the GNU Emacs `version-control' variable; they also recognize synonyms that are more descriptive. The valid values are (unique abbreviations are accepted):

    `t' or `numbered'
        Always make numbered backups.

    `nil' or `existing'
        Make numbered backups of files that already have them, simple backups of the others.

    `never' or `simple'
        Always make simple backups.